Create a Payment Authorization or a Single PayTo Agreement

Credit card transactions are always made up of an authorisation and a capture. The authorisation component verifies the card is valid and requests the cardholders bank to place a hold on the funds. The capture then instructs the card issuer to send the funds to Pay Advantage for settlement to your merchant bank account. Generally when you process a card transaction on our platform we combine both the authorisation and the capture into one call for ease of use and simplicity.

We offer the ability for you to separate calls into two components allowing you to first authorise a transaction and place a hold on funds. Then either capture the funds or void the authorisation at a later date. This feature can save merchants the hassle, fees and risks attached with capturing funds upfront and then having to the transaction in part or in full as the authorisation can easily be voided if required.

This can be useful if you are not sure of the final amount or want to ensure the cardholder has sufficient funds such as:
- Hotel mini-bar, first night of accommodation or security deposit.
- Hospitality venues when opening a bar account.
- Prior to dispatching goods to allow time to verify a customers identity or verify stock.

A Single PayTo Agreement can be created by supplying the BankAccount instead of a Credit Card.
A PayTo Agreement is sent to the customer's banking app for their approval. Once approved, we transfer funds from the customer's account for settling into the merchant account.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Body Params
creditCard
object
string | null

The customer verification code, this is referred to as a CVN, CVC, and sometimes CVV. This should never be stored.

double
0 to 99999

The authorization amount. If the performCapture parameter is true this will be the payment amount. If the perform capture parameter is false this amount will be placed on hold on the customer's credit card. If this value is $0 this will perform a card tokenization. Enter value as a currency amount in AUD e.g. 15.50`.

string | null

The description of the payment. Write something that communicates purpose of the payment e.g. INV001 Food Delivery. When the amount is 0.00 due to the intention of tokenizing a card, this field is ignored.

string | null

An external identifier for your application. Setting this value will allow you to query payments using the external ID reference.

customer
object
boolean
required

Set whether you want to on charge the merchant service fee for this payment. If set to true the fee will be on charged to the customer. If set to false the fee will be paid by you based on your fee payment settings.

boolean

Indicates whether the customer's funds should be captured automatically (i.e. a payment) or if they should be placed on hold.
If you want the funds to simply be placed on hold set this value to false, you can capture the payment at a later date and time using the PATCH endpointThis value is defaulted to false if not provided. Also this flag will be ignored if a $0 authorization is requested.

boolean | null

Verify the card with the card holders financial institution. This may incur fees. This value is defaulted to true.

Responses

Language
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json